package org.example;

import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class Main {
    public static void main(String[] args) {
        for (int i = 0; i < 1000; i++) {
            openDbAndTest();
            try {
                Thread.sleep(5_000);
            } catch (InterruptedException e) {

            }

        }
    }

    private static void openDbAndTest() {
        EntityManagerFactory factory = Persistence.createEntityManagerFactory("memory.odb");
        initMetaModel(factory);
        factory.close();
    }

    private static void initMetaModel(EntityManagerFactory factory) {
        factory.getMetamodel().embeddable(AuditData.class);
        factory.getMetamodel().entity(Person.class);
    }
}